- Home
- API Enriched
- Service Mesh
- ml
- Remove Override.
Remove Override.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/ml/data/namespaces/example/app_types/example/override/pop';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"app_type_name":"example","namespace":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/ml/data/namespaces/example/app_types/example/override/pop \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "app_type_name": "example", "namespace": "example" }'Remove override for dynamic component for API endpoints discovered for this App type.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace of the App type for current request.
App Type App Type for current request.
Request Bodyrequired
Section titled “Request Bodyrequired”Shape of remove to remove override for API endpoints.
object
App Type for current request.
Namespace of the App type for current request.
Examplegenerated
{ "app_type_name": "example", "namespace": "example"}Responses
Section titled “Responses”A successful response.
Shape of response to add override for API endpoints.
object
Status of the add operation (success or fail)
Message string for the status of add operation.
Examplegenerated
{ "status": true, "status_msg": "example"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example